dos 6 part 7
Bogie #1 @3081
Thu May 20 15:41:53 1993
0R: net33: @1021 (via @1) [20:42 05/18/93]
0R: net33: @1 (via @4) [07:35 05/18/93]
ARTICLE-ID:Q96391
TITLE     :DoubleSpace Estimated & Actual Compression Ratios             

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

This article discusses common questions and issues with DoubleSpace
actual compression ratio (ACR) and estimated compression ratio (ECR).
The following three subjects are covered:

 - Actual Compression Ratio
 - Estimated Compression Ratio
 - Viewing and Changing the Compression Ratio

More Information:

Actual Compression Ratio
------------------------

The actual compression ratio (ACR) represents the compression ratio
for data that already exists on a drive. The ACR varies over time
depending on the type of files you store on you hard disk.

The ACR is calculated by dividing the sum of the uncompressed data
size by the physical space consumed after the data is compressed. For
example, if a disk with 100 megabytes (MB) of uncompressed data is
compressed and occupies 50 MB of disk space, the compression ratio is
2:1. The formula is as follows:

   100MB/50MB =2.0

   Note: 2.0 is written as 2.0:1 (that is, 2 to 1)

Estimated Compression Ratio
---------------------------

The estimated compression ratio is a number that DoubleSpace uses to
calculate the amount of free space on a compressed drive. Changing the
ECR doesn't change the compression algorithm or the ACR. It simply
changes the value that DoubleSpace uses to estimate the free disk
space.

You may need to increase the compression ratio if you are trying to
store several new highly compressible files and you are low on disk
space.

For more information on ECR:

 - Run DoubleSpace, choose Change Ratio from the Drive menu, and then
   press the F1 function key.

  -or-

 - Type "help dblspace /ratio" (without the quotation marks) at the
   MS-DOS command prompt.

Viewing and Changing the Compression Ratio
------------------------------------------

To view the ACR and ECR for a drive, type "dblspace" (without the
quotation marks) at the MS-DOS command prompt, select the drive you
are interested in, and then press the ENTER key.

To view the ACR for a file or directory, use the DIR /C or DIR /CH
command. For example, to see the ACR for COMMAND.COM, type the
following at the MS-DOS command prompt:

   dir c:\command.com /ch

To view the ACR for the DOS directory, type the following at the
MS-DOS command prompt:

   dir \dos /ch

Note: DIR /C reports the ACR of the compressed data based on an
8-kilobyte (K) cluster size. DIR /CH reports the ACR based on the
compressed data based on the host drive cluster size. Use this number
when you compare the ACR and ECR.

To set the ECR to the ACR value, type "dblspace /ratio" (without the
quotation marks) at the MS-DOS command prompt.

To set the ECR to a specific value, type the following at the MS-DOS
command prompt:

   dblspace /ratio=n.n

where "n.n" is the ECR value.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96392
TITLE     :Error in MS-DOS Help Example for the MENUCOLOR Command        

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you are using an MS-DOS 6.0 multiple-configuration menu and you set
the MENUCOLOR command in the CONFIG.SYS file to match the example
shown in MS-DOS Help, the menu color does not display.

More Information:

The example in MS-DOS Help shows a space after the comma, which causes
MS-DOS to stop reading the MENUCOLOR command when the CONFIG.SYS file
is processed. As a result, the menu color is not displayed.

To work around this problem remove the space after the comma.

Additional reference words: 6.00 multi-config doc err docerr
-=-=-=-=-=-
ARTICLE-ID:Q96440
TITLE     :DoubleSpace Doesn't Mount After Installing RAMDrive           

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you use DoubleSpace with a removable hard drive (such as Syquest,
Bernoulli, or Quatam Passport XL) and later install RAMDrive,
DoubleSpace may refuse to mount its compressed drive(s). This problem
only occurs if the RAMDrive DEVICE command in the CONFIG.SYS file
precedes the removable hard drive DEVICE command line. Since RAMDrive
may inadvertently use the drive letter of the removable drive,
DoubleSpace may not find the compressed volume on the expected drive.
The same behavior may occur if you remove RAMDrive after compressing
your removable hard drive. (The drive letters shift and DoubleSpace
does not mount.)

If this problem was caused by installing RAMDrive, you can simply move
the RAMDrive DEVICE command past the removable drive's DEVICE command
in the CONFIG.SYS file. The advantage of this workaround is that the
drive letter assignments stay the same.

If this problem occurs after removing RAMDrive, run DBLSPACE. From the
Drive menu, choose Mount. DoubleSpace scans all your drives for
compressed volumes and reassigns drive letters appropriately. This
workaround may cause problems for programs configured to specific
drive letters.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96447
TITLE     :Manifest Shows EMS Memory with NOEMS Switch                   

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Quarterdeck's Manifest program indicates that EMS memory exists, even
if EMM386.EXE is loaded with the NOEMS switch. If you add the NOVCPI
switch to the EMM386.EXE line in the CONFIG.SYS file, Manifest no
longer shows any EMS memory.

More Information:

EMM386.EXE version 4.45, which ships with MS-DOS 6.0 is a Virtual
Control Program Interface (VCPI) provider even when the NOEMS switch
is specified. With VCPI support enabled, EMM386.EXE supplies an upper
memory frame buffer for the VCPI applications to use. When an
application checks for EMS memory, it may see this buffer and believe
it to be an EMS page frame, thus reporting that EMS memory is
available when it is not. When the NOVCPI switch is added, it disables
this upper memory buffer, thus disabling what the application is
seeing as EMS.

Maintaining VCPI server functionality with the NOEMS switch specified
is a new feature in MS-DOS 6.0.

It should be noted that VCPI support can exist without a page frame.
For example, EMM386 in MS-DOS 5.0 (version 4.44) provided VCPI support
by using the "frame=0" switch. In MS-DOS 6.0 we can now achieve the
same result using both the NOEMS switch and the NOVCPI switch
together.

Manifest is manufactured by Quarterdeck Office Systems, a vendor
independent of Microsoft; we make no warranty, implied or otherwise,
regarding this product's performance or reliability.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q94332
TITLE     :System Restarts When DoubleSpace Commands Are Issued          

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If DBLSPACE /RATIO or other DoubleSpace commands cause the system to
restart, load DBLSPACE.SYS before your network drivers in the
CONFIG.SYS file.

More Information:

Setup installs DBLSPACE.SYS before any network drivers, so this
problem should not occur unless you have moved the DBLSPACE.SYS driver
in the CONFIG.SYS file.

Additional reference words: 6.0 Autoreboot reboot warmboot coldboot
cold warm boot re-boot re-start
-=-=-=-=-=-
ARTICLE-ID:Q96496
TITLE     :Err Msg: SYS Is Unable to Operate on Target Drive             

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you try to run SYS.COM on a drive that has been compressed with the
DoubleSpace, you may receive the following error message:

   SYS is unable to operate on target drive

To work around this problem, you must manually unmount the compressed
drive before you run the SYS command to make drive C a bootable drive.

More Information:

This error usually occurs when an attempt is made to run SYS.COM on a
hard disk drive that has been compressed with DoubleSpace and has
failed because of corrupted MS-DOS files. DoubleSpace performs "drive
swapping," giving the physical drive a drive letter other than C
(typically the fifth letter after the system's last block device) and
designating the compressed volume file as drive C. Even if you boot
from a floppy disk, it is possible that DoubleSpace will mount the
compressed drive and perform the drive swap. Because we cannot run
SYS.COM on a DBLSPACE drive, SYS.COM generates the error message.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96514
TITLE     :Difference Between the DIR /C and DIR /CH Commands            

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

The DIR command has two switches that you can use to display
compression ratio information, /C and /CH. /C displays the compression
ratio of a file assuming that it resides on a drive using 8-kilobyte
(K) clusters. /CH uses the cluster size of the host partition. In most
cases, there is no difference between the output of these switches
unless your DoubleSpace host partition uses a cluster size other than
8 kilobytes. For example, if you have a file on a drive using 4K
clusters, the compression ratio displayed generated from DIR /C would
be 1.5; DIR /CH would generate a compression ratio of 2.0.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96516
TITLE     :Changes to MSCDEX.EXE for MS-DOS 6.0                          

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Microsoft CD-ROM Extensions (MSCDEX.EXE) version 2.22 for MS-DOS is
included in MS-DOS 6 Upgrade and MS-DOS 6.0 plus Enhanced Tools.
MSCDEX.EXE version 2.22 includes code to recognize MS-DOS 6.0 and make
it easier to load MSCDEX.EXE into upper memory blocks (UMBs).
(MSCDEX.EXE 2.22 has a smaller initialization size than earlier
versions, making it easier to fit in smaller UMBs.)

MSCDEX.EXE is included with MS-DOS 6.0 so that you do not need to
obtain additional software to continue using your CD-ROM drive after
you upgrade to MS-DOS 6.0.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96517
TITLE     :Using DoubleSpace to Compress a Bootable HardCard             

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

You should not use DoubleSpace to compress your boot drive if that
drive requires a device driver in the CONFIG.SYS file. Because the
DoubleSpace driver (DBLSPACE.BIN) is loaded with IO.SYS before the
CONFIG.SYS file is processed, Microsoft does not support this
configuration. If you want to use DoubleSpace on such a drive, you
must mount the drive after loading the device drivers in the
CONFIG.SYS file.

For example, if drive C is a Plus Hardcard and you compress that
drive, DoubleSpace cannot automatically mount the drive. You can
either mount the drive from the MS-DOS command prompt or from the
AUTEOXEC.BAT file.

Note: DoubleSpace does not support compression of removable hard disk
drives that require a device driver to write to the drive. This is
because DoubleSpace must mount the drive before the CONFIG.SYS file is
processed, and the mounting process rewrites the BitFAT structure in
the compressed volume file (CVF).

More Information:

You can manually mount the DoubleSpace drive from the command line by
using the DBLSPACE /MO command. If you want to mount the compressed
drive from the AUTOEXEC.BAT file, you must copy the CONFIG.SYS and
AUTOEXEC.BAT files to the host drive, copy the device drivers called
from those files, and then add a line to the AUTOEXEC.BAT file to
mount the compressed drive. To do this, follow the procedure outlined
below.

Note: This procedure does not work if your drive does not meet the
following conditions:

 - It is bootable (that is, accessed by the BIOS during the startup
   process).

 - It is a system disk. (If it is not, use the SYS command to transfer
   the MS-DOS system files.)

To automatically mount the compressed drive:

1. Compress the boot drive with DoubleSpace. For example, to compress
   drive C, type the following at the MS-DOS command prompt:

      DBLSPACE /COMPRESS C:

2. Ensure the following files are in the root directory of the host
   drive (the drive containing the compressed volume file [CVF]):

      IO.SYS
      MSDOS.SYS
      COMMAND.COM
      DBLSPACE.BIN
      DBLSPACE.000

   To determine which drive is the host drive, type "DBLSPACE /LIST"
   (without the quotation marks) at the MS-DOS command prompt.

   Since the files listed above have read-only, hidden, and system
   file attributes set, use the /A parameter to see the files. To do
   this, type DIR /A at the MS-DOS command prompt.

3. Copy the following three files to the root of the host drive:
   DBLSPACE.EXE, CONFIG.SYS, and AUTOEXEC.BAT.

   For example, if H is your host drive, you would use the following
   three commands to copy these files:

      copy c:\dos\dblspace.exe h:\
      copy c:\config.sys h:\
      copy c:\autoexec.bat h:\

4. Copy any files called from the CONFIG.SYS file to the host drive.
   For example, if the command DEVICE=C:\DOS\HIMEM.SYS is in your
   CONFIG.SYS file, copy HIMEM.SYS to the host drive with the
   following command:

      copy c:\dos\himem.sys h:\

5. Edit the CONFIG.SYS file on the host drive to reflect the new
   location of the device drivers. Given the above HIMEM.SYS example,
   change the CONFIG.SYS file on the host drive (H) to read as follows:

      device=c:\himem.sys

6. Add the following line to the AUTOEXEC.BAT file on the host drive:

      DBLSPACE /MO

7. Any other programs or executable files called from the AUTOEXEC.BAT
   file should be located on the host drive. If they are not, you need
   to edit the AUTEXEC.BAT file to reference the correct drive letter.
   The host and boot drive letters swap when the DBLSPACE /MO line is
   run from the AUTEOXEC.BAT file.

Additional reference words: 6.00 double space
-=-=-=-=-=-
ARTICLE-ID:Q96518
TITLE     :Differences Between DOSSHELL.INI in MS-DOS Versions 5 and 6   

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

This article discusses the differences between the DOSSHELL.INI file
in MS-DOS versions 5.0 and 6.0.

More Information:

The DOSSHELL.INI file in MS-DOS 6.0 does not contain references to the
MS-DOS 5.0 BACKUP and RESTORE commands.

Since Setup doesn't update a existing DOSSHELL.INI file, the existing
references to Backup Fixed Disk and Restore Fixed Disk are not
updated. BACKUP.EXE is copied to the OLD_DOS directory so that the
Backup Fixed Disk option no longer works. You can either copy the
MS-DOS 5.0 BACKUP command (BACKUP.COM) to the DOS directory or modify
the Backup Fixed Disk properties to reference the new backup program,
Microsoft Backup (MSBACKUP.EXE).

If you don't have an existing DOSSHELL.INI file, Setup creates a new
one with the following default items:

   Main Menu
   ---------

   Command Prompt
   Editor
   MS-DOS QBasic

   Disk Utilities Menu
   -------------------

   MS Anti-Virus
   MS Backup
   Quick Format
   Format
   Undelete

Setup leaves the RESTORE command (RESTORE.EXE) from MS-DOS 5.0 in the
DOS directory even though it does not appear as an item in MS-DOS 6
Shell. The BACKUP command (BACKUP.EXE) from MS-DOS 5.0 is available on
the supplemental disk or in the OLD_DOS directory as described above.

To replace your existing DOSSHELL.INI file, you can expand the
appropriate .IN_ file from the original MS-DOS 6 Upgrade disks. For
example, if you have an EGA or VGA video display card, expand EGA.IN_
from the MS-DOS 6 Upgrade disks (Disk 2 of the 1.2-megabyte (MB) set
or Disk 1 of the 1.44-MB set). For example, if you insert the Setup
disk in drive A, you would type the following command:

   expand a:ega.in_ c:\dos\ega.ini

If the new utilities made available by the MS-DOS 6.0 DOSSHELL.INI
file are not installed, you must install them using the SETUP command
with the /E parameter.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96519
TITLE     :Situations in Which Defragmenter Cannot Run                   

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Microsoft Defragmenter operates on the MS-DOS logical drive level
only. Third-party partitioning utilities that modify or translate disk
geometry (such as Disk Manager and SpeedStor) operate beneath the
MS-DOS file system and are therefore transparent to Defragmenter.

Defragmenter cannot share access to a drive with other tasks;
therefore, you cannot run Defragmenter if Windows or DESQview is
running.

More Information:

Defragmenter does not work in the following situations:

   Situation        Reason
   ----------       ------

   Network Drive    Network software usually does not allow full
                    single-tasking access to the entire drive,
                    including the file tables. Often network drives
                    (such as Novell NetWare) use another file system.

   CHKDSK Errors    Errors in the drive organization can cause
                    unpredictable results from Defragmenter.
                    Defragmenter identifies most CHKDSK errors while
                    reading the drive organization and then refuses
                    to run until you correct them.

   Windows          Defragmenter cannot operate properly in a
                    multitasking or task-switching situation;
                    therefore, it detects Windows in real, standard,
                    and 386 enhanced modes and does not run.

   Task Swapper     Defragmenter cannot operate properly in a
                    task-switching situation; therefore, it detects
                    the MS-DOS Shell task swapper and does not run.

   Interlnk Drives  Interlnk is not designed to support defragmentation
                    and other low-level utilities. Specifically, it does
                    not implement interrupts 25 and 26.

   Fastopen         The Fastopen program tracks which files are located
                    in which clusters on your disk. Defragmenter
                    rearranges data on a cluster level, which confuses
                    Fastopen.

   JOIN             JOIN does not allow normal access to a drive.

   SUBST            SUBST drives do not have their own file tables or
                    directories to optimize.

The products included here are manufactured by vendors independent of
Microsoft; we make no warranty, implied or otherwise, regarding these
products' performance or reliability.

Additional reference words: 6.00 3rd party defrag
-=-=-=-=-=-
ARTICLE-ID:Q96520
TITLE     :Windows Hangs at Logo Screen with FTP Network and DoubleSpace 

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you are running FTP Software's PC/TCP network software and
Microsoft Windows in 386 enhanced mode, your SYSTEM.INI file may
contain the line DEVICE=C:\PCTCP\VPCTCP.386 in the [386Enh] section.
If it does, Windows may stop responding (hang) at the logo screen
after you have compressed a drive with DoubleSpace.

More Information:

The system hangs if the line DEVICE=C:\DOS\DBLSPACE.SYS /MOVE is not
present in your CONFIG.SYS file before any of the drivers that load
the network. To correct this problem, add or move the line
C:\DOS\DBLSPACE.SYS /MOVE before the first line that loads the network
software. In most cases, the first line that starts the network is
something similar to C:\PCTCP\PROTMAN.SYS /i:C:\PCTCP.

Additional reference words: 2.04 2.1 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96522
TITLE     :Regions Scanned by the EMM386.EXE HIGHSCAN Switch             

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

The HIGHSCAN switch included in EMM386.EXE version 4.45 allows
EMM386.EXE to map expanded memory pages or upper memory blocks (UMBs)
over portions of the upper memory area (UMA) used by system read-only
memory (ROM).

Choosing "Yes" in response to the MemMaker prompt "Scan the upper
memory area aggressively?" causes MemMaker to add HIGHSCAN to the
EMM386.EXE device= line.

More Information:

If you use the HIGHSCAN switch on the DEVICE=C:\DOS\EMM386.EXE line in
the CONFIG.SYS file, EMM386.EXE examines the system ROM area starting
at memory location F000:0000. If EMM386.EXE determines that ROM is
duplicated between F000h-F7FFh and F800h-FFFFh, EMM386.EXE uses the
F000h-F7FFh region for expanded memory page mapping or UMB memory.
(This adds up to 32 kilobytes to the UMA.

On Micro Channel (MCA) systems with ROM BASIC (for example, IBM PS/2
systems), the HIGHSCAN switch allows EMM386.EXE to map expanded memory
or UMB memory over the ROM BASIC code in the system ROM. Typically
this is the region from F600 to FDFF.

Note: On some systems, EMM386.EXE uses the ROM area and the system
does not operate correctly. The symptoms of this condition vary. For
example, the system may stop responding (hang) or appear to operate
normally until you use a floppy disk drive. Because of these potential
problems, HIGHSCAN is not used by default.

Additional reference words: 6.00 parameter
-=-=-=-=-=-
ARTICLE-ID:Q96541
TITLE     :Setup Leaves Windows .INI Files in Root of the Novell Server  

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you run MS-DOS 6 Setup when you are logged onto a Novell server,
Setup may leave MS-DOS initialization (.INI) files in the root
directory. This problem occurs when all the following conditions are
exist:

 - You are logged on as a supervisor or a user with full access
   privileges to the root of the file server.

 - You are using a shared installation of Windows (installed with the
   SETUP /N command).

 - Your Windows initialization files are in a user directory that is
   being accessed with a search drive.

 - You have installed the Windows-based optional utilities.

If these conditions exist, MS-DOS 6 Setup leaves your initialization
files in the root of the Novell file server.

The following initialization files are left in the root of the Novell
server:

   PROTMAN.INI
   SYSTEM.INI
   WINFILE.INI

Setup also leaves the backup (.BAK) files for those files in the root
of the Novell file server.

Workaround
----------

Use one of the following techniques to correct this situation:

 - If this is the only installation of MS-DOS 6 you plan to perform
   when you are logged in as supervisor, you can simply move these
   six files back to the user directory.

 - If you plan to do multiple installations of MS-DOS 6 when you are
   logged in as supervisor, temporarily override the search drive before
   beginning the MS-DOS 6 Setup on each subsequent computer. For example,
   if your Windows initialization files are accessed on Search drive
   W:\USER\JOEB. Before beginning the MS-DOS 6 Setup type these two
   commands at the MS-DOS command prompt:

      map del w:
      map w:=sys:user\joeb

   When MS-DOS 6 Setup prompts you for the location of Windows directory,
   use W:\USER\JOEB for the path.

   Note: If desired, you may substitute the second command above with the
   following:

      map root w:=sys:user\joeb

   When MS-DOS 6 Setup prompts you for the location of Windows, use W:\
   for the path.

More Information:

Do not use a search drive to specify the location of your Windows
initialization files. A search drive represents its drive letter as
"<drive>:." instead of "<drive>:\<pathname>." MS-DOS 6 looks at
"<drive>:.", changes to the root of the drive, and then looks for the
current (.) directory. This is why MS-DOS 6 writes the files to the
root of the server.

If you are logged on as a user without write access privileges to the
root of the file server (as is generally the case with a user on a
Novell network), the same approach as described in the second
technique applies. If you don't have privileges in the root directory,
the temporary initialization files (.$$$) are written to your user
directory. No changes are been made to your original initialization
files. You can safely delete these .$$$ files. Use the second
technique and then restart the MS-DOS 6 Setup program.

The following three .$$$ files may be left in your user directory:

   __SYS__.$$$
   __PGI__.$$$
   __WFI__.$$$

If Setup detects that it did not need to modify one or more of the
initialization files, you may not have all three of these in your user
directory.

Note: This information applies to both the SETUP and SETUP /E
commands. (SETUP /E is used to install the optional components.)

Additional reference words: netware net ware 286 386 2.15 2.2 3.10
3.11 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96552
TITLE     :What Defragmentor Does & How It Works with 3rd-Party Utilities

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Microsoft Defragmenter reorganizes data on MS-DOS drives so that it
can be retrieved faster.

MS-DOS organizes data on the hard disk into a series of clusters
(allocation units) and then tracks which files are using which
clusters through directory structures and the file allocation tables
(FATs). Neither users nor applications need to know exactly where
specific data is located on the hard disk. When an application needs a
file, it simply asks MS-DOS to get it.

Over time, pieces of files may be spread all over the hard disk. When
this occurs, retrieving files requires more time. Defragmenter
reorganizes the clusters for faster access. (For example, information
is stored at the front of the disk, and parts of files are regrouped
together). Defragmenter uses interrupt calls 25H and 26H to move the
information stored in one cluster to another, directly updating the
FATs and directory structures.

Defragmenter operates at nearly the same level as MS-DOS. However, it
is still uses MS-DOS and is protected from direct interactions with
the following:

 - Third-party partitioning utilities that modify or translate disk
   geometry (such as Disk Manager and SpeedStor).

 - DoubleSpace and third-party drive compression utilities.

Additional reference words: 6.00 3rd-party
-=-=-=-=-=-
ARTICLE-ID:Q94333
TITLE     :SETVER Table Entries Are Not Maintained When Upgrading        

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you do not install the MS-DOS 6 Upgrade in the current MS-DOS 5.0
directory, your old SETVER entries are not maintained.

More Information:

When you install the MS-DOS 6 Upgrade over MS-DOS 5.0, Setup updates
the current version table (maintained in SETVER.EXE). If you install
MS-DOS 6 in a new directory, Setup cannot update the old version table.

Workaround
----------

To work around this problem:

 - Update the new SETVER.EXE file, adding the entries that your
   software requires.

   -or-

 - Uninstall MS-DOS 6.0 and reinstall the MS-DOS 6 Upgrade in the
   original MS-DOS directory.

Additional reference words: 6.00 5.00 
